cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 6 MCU

EuGe_296116
Contributor II

I have a PSoC 6 BLE application that I need to add an upgradeable stack OTA bootloader to.  When I did this in the PSoC 4 BLE world, there was a handy application note (AN97060) which explained how to adapt the files from the sample project to one's own project.  I don't see a similar application note for PSoC 6.  Is the recommended technique here to use the CE220960 example and use guessing and trial and error to figure out how to adapt it to my code?  Or is there an application note that I just can't find anywhere?

Which brings me to the other problem.  I couldn't get CE220960 to build until I switched to PDL 3.0.1.  My application uses PDL 3.1.0.  Does this mean that I can't do OTA bootloading for it?

0 Likes
Reply
1 Solution
ShipingW_81
Moderator
Moderator

Please find the attached projects. It's a BLE upgradable stack dfu code based on PDL3.1.0, and it's modified from CE220960.

Note this is not the official update of CE220960 PDL3.10 version. Just for your reference.

View solution in original post

0 Likes
Reply
5 Replies
ShipingW_81
Moderator
Moderator

For the general steps to cerate a custom project with BLE bootloader upgradeable stack feature, you can refer to Chapter 5.3.1 BLE Bootloader with Upgradeable stack - AN213924

CE220960 now can only work on PDL3.0.1, not updated with PDL3.1.0 yet. I will check the feasibility to get it work on PDL3.1.0 later.

0 Likes
Reply
EuGe_296116
Contributor II

Does this mean that the techniques described in AN213924 also won't work with PDL 3.1.0?

When is later?  Did Cypress not expect anybody to use OTA bootloading with PDL 3.1.0?

0 Likes
Reply
ShipingW_81
Moderator
Moderator

Yes, the techniques described in AN213924 currently now only work with PDL 3.0.1.

I am getting contact with the author of this code example for the schedule to update it with PDL 3.1.0. I will let you know whether there is such schedule or not once confirmation received.

0 Likes
Reply
EuGe_296116
Contributor II

This is critical to our project and we had an expectation that Cypress wouldn't have forgotten to support something this fundamental for their last PDL release.  How can the process of Cypress correcting this problem be expedited?

0 Likes
Reply
ShipingW_81
Moderator
Moderator

Please find the attached projects. It's a BLE upgradable stack dfu code based on PDL3.1.0, and it's modified from CE220960.

Note this is not the official update of CE220960 PDL3.10 version. Just for your reference.

View solution in original post

0 Likes
Reply
Top labels